#!/bin/sh

xorriso -as mkisofs \
  -iso-level 3 \
  -full-iso9660-filenames \
  -R -J -A "Slackware Install" \
  -hide-rr-moved \
  -v -d -N \
  -eltorito-boot isolinux/isolinux.bin \
  -eltorito-catalog isolinux/boot.cat \
  -no-emul-boot -boot-load-size 4 -boot-info-table \
  -isohybrid-mbr /usr/share/syslinux/isohdpfx.bin \
  -eltorito-alt-boot \
  -e isolinux/efiboot.img \
  -no-emul-boot -isohybrid-gpt-basdat \
  -m 'source' \
  -volid "SlackDVD" \
  -output ../slackware-iso/slackware64-20230323-dvd.iso \
  .

#
# To write the ISO image to a USB stick use a command such as
# this (replace /dev/sdX with the device name for your USB stick):
#
# dd if=/tmp/slackware-dvd.iso of=/dev/sdX bs=1M
#
